Subject: [bug#47528] [PATCH] gnu: Add guile2.2-bash.

From: david larsson <[email-masked]>
Date: Mon, 05 Apr 2021 14:39:31 +0200

On 2021-04-05 11:46, Ludovic Courtès wrote:
> Hi David,
> 
> david larsson <[email-masked]> skribis:
> 
>> From 00288ef6849c78b09c2934bd4565af76cccc2825 Mon Sep 17 00:00:00 2001
>> From: methuselah-0 <[email-masked]>
>> Date: Wed, 31 Mar 2021 20:43:16 +0200
>> Subject: [PATCH] gnu: Add guile2.2-bash.
>> 
>> * gnu/packages/guile-xyz.scm (guile2.2-bash): New variable.
> 
> Since you’re maintaining your own version of ‘guile-bash’ upstream, how
> about making sure that it works with Guile 3.0 (the current default in
> Guix) and changing ‘guile-bash’ to refer to your version and to use
> Guile 3.0?
> 
> Thanks,
> Ludo’.

Hi, I would have liked to, but I don't understand the codebase as well 
as I want to yet so Im unable to. The project is created by Dmitry 
Bogatov, and my minor edit (removed a test-case) is just a quick-fix to 
make the package build for guile2.2. Hopefully, Dmitry will be back some 
day to maintain the project again.

Best regards,
David